search cancel

Unable to Start the Agent after addition of SAP Plugin

book

Article ID: 243734

calendar_today

Updated On:

Products

Workload Automation Agent CA Workload Automation DE - Business Agents (dSeries) CA Workload Automation AE - Business Agents (AutoSys)

Issue/Introduction

Post addition of SAP plugin to the server, we were unable to start the System Agent.

The error received after startup of agent;

Caused by: java.lang.ExceptionInInitializerError: JCo initialization failed with java.lang.UnsatisfiedLinkError: /opt/esp/agent/libsapjco3.so: /opt/esp/agent/libsapjco3.so: invalid ELF header (Possible cause:
endianness mismatch)

 

 

Environment

Release : 11.3.4 and higher

Component : Workload Automation Agent for SAP

Cause

The SAP JCo installed is not compatible with the Operating System and / or bitness of the Agent.

Resolution

 Download and install SAP JCo 3.0.x for your Operating System. Use 32-bit or 64-bit SAP JCo version based on the JVM provided with the Agent.